curl -X DELETE "https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
const response = await fetch(
'https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000',
{
method: 'DELETE',
headers: { 'X-API-Key': process.env.KODO_API_KEY }
}
);
{
"success": true
}
Incidents
Delete Incident
Permanently delete an incident
DELETE
/
incidents
/
{id}
curl -X DELETE "https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
const response = await fetch(
'https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000',
{
method: 'DELETE',
headers: { 'X-API-Key': process.env.KODO_API_KEY }
}
);
{
"success": true
}
Path Parameters
string
required
The incident ID
Response
Returns a success confirmation.This action is irreversible. All incident data and updates will be permanently deleted.
curl -X DELETE "https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000" \
-H "X-API-Key: your_api_key"
const response = await fetch(
'https://kodostatus.com/api/v1/incidents/550e8400-e29b-41d4-a716-446655440000',
{
method: 'DELETE',
headers: { 'X-API-Key': process.env.KODO_API_KEY }
}
);
{
"success": true
}
⌘I